-- name: [CS] Hell Inspector's Character Pack
-- description: A pack of random characters I made months ago.

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/wiki/API-Documentation

    Use this if you're curious on how anything here works >v<
]]

local TEXT_MOD_NAME = "Hell Inspector's Character Pack"

-- Stops mod from loading if Character Select isn't on
if not _G.charSelectExists then
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
    return 0
end

local E_MODEL_WALLACE_PLAYER = smlua_model_util_get_id("wallace_geo") -- Located in "actors"
local E_MODEL_GROMIT_PLAYER = smlua_model_util_get_id("gromit_geo")
local E_MODEL_GINGER_PLAYER = smlua_model_util_get_id("ginger_geo")
local E_MODEL_ROCKY_PLAYER = smlua_model_util_get_id("rocky_geo")
local E_MODEL_MRTWEEDY_PLAYER = smlua_model_util_get_id("mrtweedy_geo")
local E_MODEL_SPONGEBOB_PLAYER = smlua_model_util_get_id("spongebob_geo")
local E_MODEL_PATRICK_PLAYER = smlua_model_util_get_id("patrick_geo")
local E_MODEL_SQUIDWARD_PLAYER = smlua_model_util_get_id("squidward_geo")
local E_MODEL_MRKRABS_PLAYER = smlua_model_util_get_id("mrkrabs_geo")
local E_MODEL_COURAGE_PLAYER = smlua_model_util_get_id("courage_geo")
local E_MODEL_EUSTACE_PLAYER = smlua_model_util_get_id("eustace_geo")
local E_MODEL_HANKHILL_PLAYER = smlua_model_util_get_id("hankhill_geo")
local E_MODEL_HOMER_PLAYER = smlua_model_util_get_id("homer_geo")
local E_MODEL_HUGH_PLAYER = smlua_model_util_get_id("hugh_geo")
local E_MODEL_RABBID_PLAYER = smlua_model_util_get_id("rabbid_geo")
local E_MODEL_WOODY_PLAYER = smlua_model_util_get_id("woody_geo")
local E_MODEL_CHALMERS_PLAYER = smlua_model_util_get_id("chalmers_geo")
local E_MODEL_SKINNER_PLAYER = smlua_model_util_get_id("skinner_geo")

local TEX_WALLACE = get_texture_info("wallace-icon") -- Located in "textures"
local TEX_GROMIT = get_texture_info("gromit-icon")
local TEX_GINGER = get_texture_info("ginger-icon")
local TEX_ROCKY = get_texture_info("rocky-icon")
local TEX_MRTWEEDY = get_texture_info("mrtweedy-icon")
local TEX_SPONGEBOB = get_texture_info("spongebob-icon")
local TEX_PATRICK = get_texture_info("patrick-icon")
local TEX_SQUIDWARD = get_texture_info("squidward-icon")
local TEX_MRKRABS = get_texture_info("mrkrabs-icon")
local TEX_COURAGE = get_texture_info("courage-icon")
local TEX_EUSTACE = get_texture_info("eustace-icon")
local TEX_HANKHILL = get_texture_info("hank-icon")
local TEX_HOMER = get_texture_info("homer-icon")
local TEX_HUGH = get_texture_info("hugh-icon")
local TEX_RABBID = get_texture_info("rabbid-icon")
local TEX_WOODY = get_texture_info("woody-icon")
local TEX_CHALMERS = get_texture_info("chalmers-icon")
local TEX_SKINNER = get_texture_info("skinner-icon")



-- All Located in "sound"
local VOICETABLE_WALLACE = {
    [CHAR_SOUND_ATTACKED] = 'WallaceAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'WallaceCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'WallaceCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'WallaceCough3.mp3',
    [CHAR_SOUND_DOH] = 'WallaceDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'WallaceDrowning.mp3',
    [CHAR_SOUND_DYING] = 'WallaceDying.mp3',
    [CHAR_SOUND_EEUH] = 'WallaceEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'WallaceGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'WallaceHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'WallaceHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'WallaceHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'WallaceHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'WallaceHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'WallaceLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'WallaceMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'WallaceOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'WallaceOof.mp3',
    [CHAR_SOUND_OOOF2] = 'WallaceOof2.mp3',
    [CHAR_SOUND_PANTING] = 'WallacePanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'WallacePantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'WallacePunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'WallacePunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'WallacePunchYah.mp3',
    [CHAR_SOUND_SNORING1] = 'WallaceSnore1.mp3',
    [CHAR_SOUND_SNORING2] = 'WallaceSnore2.mp3',
    [CHAR_SOUND_SNORING3] = {'WallaceSnore1.mp3', 'WallaceSnore2.mp3', 'WallaceDream.mp3'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'WallaceSoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'WallaceBoing.mp3',
    [CHAR_SOUND_UH] = 'WallaceUh.mp3',
    [CHAR_SOUND_UH2] = 'WallaceUh.mp3',
    [CHAR_SOUND_UH2_2] = 'WallaceUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'WallaceWah1.mp3',
    [CHAR_SOUND_WAH2] = 'WallaceWah2.mp3',
    [CHAR_SOUND_WHOA] = 'WallaceWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'WallaceYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'WallaceYahoo.mp3', 'WallaceWaha.mp3', 'WallaceYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'WallaceYah1.mp3', 'WallaceWah.mp3', 'WallaceHoo.mp3'},
    [CHAR_SOUND_YAWNING] = 'WallaceYawn.mp3',
}

local VOICETABLE_GROMIT = {
    [CHAR_SOUND_ATTACKED] = 'GromitSilent.mp3',
    [CHAR_SOUND_COUGHING1] = 'GromitSilent.mp3',
    [CHAR_SOUND_COUGHING2] = 'GromitSilent.mp3',
    [CHAR_SOUND_COUGHING3] = 'GromitSilent.mp3',
    [CHAR_SOUND_DOH] = 'GromitSilent.mp3',
    [CHAR_SOUND_DROWNING] = 'GromitSilent.mp3',
    [CHAR_SOUND_DYING] = 'GromitSilent.mp3',
    [CHAR_SOUND_EEUH] = 'GromitSilent.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'GromitSilent.mp3',
    [CHAR_SOUND_HAHA] = 'GromitSilent.mp3',
    [CHAR_SOUND_HAHA_2] = 'GromitSilent.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'GromitSilent.mp3',
    [CHAR_SOUND_HOOHOO] = 'GromitSilent.mp3',
    [CHAR_SOUND_HRMM] = 'GromitSilent.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'GromitSilent.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'GromitSilent.mp3',
    [CHAR_SOUND_ON_FIRE] = 'GromitSilent.mp3',
    [CHAR_SOUND_OOOF] = 'GromitSilent.mp3',
    [CHAR_SOUND_OOOF2] = 'GromitSilent.mp3',
    [CHAR_SOUND_PANTING] = 'GromitSilent.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'GromitSilent.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'GromitSilent.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'GromitSilent.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'GromitSilent.mp3',
    [CHAR_SOUND_SNORING1] = 'GromitSilent.mp3',
    [CHAR_SOUND_SNORING2] = 'GromitSilent.mp3',
    [CHAR_SOUND_SNORING3] = 'GromitSilent.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'GromitSilent.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'GromitSilent.mp3',
    [CHAR_SOUND_UH] = 'GromitSilent.mp3',
    [CHAR_SOUND_UH2] = 'GromitSilent.mp3',
    [CHAR_SOUND_UH2_2] = 'GromitSilent.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'GromitSilent.mp3',
    [CHAR_SOUND_WAH2] = 'GromitSilent.mp3',
    [CHAR_SOUND_WHOA] = 'GromitSilent.mp3',
    [CHAR_SOUND_YAHOO] = 'GromitSilent.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'GromitSilent.mp3',
    [CHAR_SOUND_YAH_WAH_HOO] = 'GromitSilent.mp3',
    [CHAR_SOUND_YAWNING] = 'GromitSilent.mp3',
}

local VOICETABLE_ROCKY = {
    [CHAR_SOUND_ATTACKED] = 'RockyAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'RockyCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'RockyCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'RockyCough3.mp3',
    [CHAR_SOUND_DOH] = 'RockyDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'RockyDrowning.mp3',
    [CHAR_SOUND_DYING] = 'RockyDying.mp3',
    [CHAR_SOUND_EEUH] = 'RockyEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'RockyGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'RockyHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'RockyHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'RockyHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'RockyHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'RockyHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'RockyLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'RockyMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'RockyOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'RockyOof.mp3',
    [CHAR_SOUND_OOOF2] = 'RockyOof2.mp3',
    [CHAR_SOUND_PANTING] = 'RockyPanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'RockyPantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'RockyPunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'RockyPunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'RockyPunchYah.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'RockySoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'RockyBoing.mp3',
    [CHAR_SOUND_UH] = 'RockyUh.mp3',
    [CHAR_SOUND_UH2] = 'RockyUh.mp3',
    [CHAR_SOUND_UH2_2] = 'RockyUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'RockyWah1.mp3',
    [CHAR_SOUND_WAH2] = 'RockyWah2.mp3',
    [CHAR_SOUND_WHOA] = 'RockyWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'RockyYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'RockyYahoo.mp3', 'RockyWaha.mp3', 'RockyYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'RockyYah1.mp3', 'RockyWah.mp3', 'RockyHoo.mp3'},
    [CHAR_SOUND_YAWNING] = 'RockyYawn.mp3',
}

local VOICETABLE_COURAGE = {
    [CHAR_SOUND_ATTACKED] = 'CourageAttacked.mp3',
    [CHAR_SOUND_DOH] = 'CourageDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'CourageDrowning.mp3',
    [CHAR_SOUND_DYING] = 'CourageDying.mp3',
    [CHAR_SOUND_EEUH] = 'CourageEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'CourageGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'CourageHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'CourageHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'CourageHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'CourageHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'CourageHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'CourageLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'CourageMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'CourageOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'CourageOof.mp3',
    [CHAR_SOUND_OOOF2] = 'CourageOof2.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'CourageHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'CourageWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'CourageYah.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'CourageSoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'CourageBoing.mp3',
    [CHAR_SOUND_UH] = 'CourageUh.mp3',
    [CHAR_SOUND_UH2] = 'CourageUh.mp3',
    [CHAR_SOUND_UH2_2] = 'CourageUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'CourageWah1.mp3',
    [CHAR_SOUND_WAH2] = 'CourageWah.mp3',
    [CHAR_SOUND_WHOA] = 'CourageWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'CourageYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'CourageYahoo.mp3', 'CourageWaha.mp3', 'CourageYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'CourageYah.mp3', 'CourageWah.mp3', 'CourageHoo.mp3'},
}

local VOICETABLE_EUSTACE = {
    [CHAR_SOUND_ATTACKED] = 'EustaceAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'EustaceCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'EustaceCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'EustaceCough3.mp3',
    [CHAR_SOUND_DOH] = 'EustaceDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'EustaceDrowning.mp3',
    [CHAR_SOUND_DYING] = 'EustaceDying.mp3',
    [CHAR_SOUND_EEUH] = 'EustaceEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'EustaceGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'EustaceHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'EustaceHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'EustaceHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'EustaceHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'EustaceHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'EustaceLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'EustaceMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'EustaceOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'EustaceOof.mp3',
    [CHAR_SOUND_OOOF2] = 'EustaceOof2.mp3',
    [CHAR_SOUND_PANTING] = 'EustacePanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'EustacePantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'EustacePunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'EustacePunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'EustacePunchYah.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'EustaceSoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'EustaceBoing.mp3',
    [CHAR_SOUND_UH] = 'EustaceUh.mp3',
    [CHAR_SOUND_UH2] = 'EustaceUh.mp3',
    [CHAR_SOUND_UH2_2] = 'EustaceUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'EustaceWah1.mp3',
    [CHAR_SOUND_WAH2] = 'EustaceWah2.mp3',
    [CHAR_SOUND_WHOA] = 'EustaceWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'EustaceYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'EustaceYahoo.mp3', 'EustaceWaha.mp3', 'EustaceYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'EustacePunchYah.mp3', 'EustacePunchWah.mp3', 'EustacePunchHoo.mp3'},
}

local VOICETABLE_HOMER = {
    [CHAR_SOUND_ATTACKED] = 'HomerAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'HomerCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'HomerCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'HomerCough3.mp3',
    [CHAR_SOUND_DOH] = 'HomerDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'HomerDrowning.mp3',
    [CHAR_SOUND_DYING] = 'HomerDying.mp3',
    [CHAR_SOUND_EEUH] = 'HomerEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'HomerGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'HomerHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'HomerHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'HomerHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'HomerHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'HomerHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'HomerLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'HomerMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'HomerOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'HomerOof.mp3',
    [CHAR_SOUND_OOOF2] = 'HomerOof2.mp3',
    [CHAR_SOUND_PANTING] = 'HomerPanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'HomerPantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'HomerPunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'HomerPunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'HomerPunchYah.mp3',
    [CHAR_SOUND_SNORING1] = 'HomerSnore1.mp3',
    [CHAR_SOUND_SNORING2] = 'HomerSnore2.mp3',
    [CHAR_SOUND_SNORING3] = {'HomerSnore1.mp3', 'HomerSnore2.mp3', 'HomerDream.mp3'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'HomerSoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'HomerBoing.mp3',
    [CHAR_SOUND_UH] = 'HomerUh.mp3',
    [CHAR_SOUND_UH2] = 'HomerUh.mp3',
    [CHAR_SOUND_UH2_2] = 'HomerUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'HomerWah1.mp3',
    [CHAR_SOUND_WAH2] = 'HomerWah2.mp3',
    [CHAR_SOUND_WHOA] = 'HomerWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'HomerYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'HomerYahoo.mp3', 'HomerWaha.mp3', 'HomerYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'HomerYah1.mp3', 'HomerWah.mp3', 'HomerHoo.mp3'},
    [CHAR_SOUND_YAWNING] = 'HomerYawn.mp3',
}

local VOICETABLE_HUGH = {
    [CHAR_SOUND_ATTACKED] = 'HughAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'HughCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'HughCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'HughCough3.mp3',
    [CHAR_SOUND_DOH] = 'HughDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'HughDrowning.mp3',
    [CHAR_SOUND_DYING] = 'HughDying.mp3',
    [CHAR_SOUND_EEUH] = 'HughEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'HughGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'HughHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'HughHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'HughHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'HughHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'HughHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'HughLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'HughMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'HughOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'HughOof.mp3',
    [CHAR_SOUND_OOOF2] = 'HughOof2.mp3',
    [CHAR_SOUND_PANTING] = 'HughPanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'HughPantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'HughPunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'HughPunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'HughPunchYah.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'HughSoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'HughBoing.mp3',
    [CHAR_SOUND_UH] = 'HughUh.mp3',
    [CHAR_SOUND_UH2] = 'HughUh.mp3',
    [CHAR_SOUND_UH2_2] = 'HughUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'HughWah1.mp3',
    [CHAR_SOUND_WAH2] = 'HughWah2.mp3',
    [CHAR_SOUND_WHOA] = 'HughWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'HughYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'HughYahoo.mp3', 'HughWaha.mp3', 'HughYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'HughYah1.mp3', 'HughWah.mp3', 'HughHoo.mp3'},
}

VOICETABLE_RABBID = {
    [CHAR_SOUND_ATTACKED] = "rabbid_hurt_hard.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "rabbid_yah.ogg",
    [CHAR_SOUND_HAHA] = "rabbid_haahaa.ogg",
    [CHAR_SOUND_HAHA_2] = "rabbid_haahaa.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "rabbid_here_we_go.ogg",
    [CHAR_SOUND_HOOHOO] = "rabbid_hoo.ogg",
    [CHAR_SOUND_ON_FIRE] = "rabbid_burning.ogg",
    [CHAR_SOUND_OOOF] = "rabbid_oof.ogg",
    [CHAR_SOUND_OOOF2] = "rabbid_oof2.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "rabbid_hoo.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "rabbid_wah.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "rabbid_yah.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "rabbid_bowser.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "rabbid_boing.ogg",
    [CHAR_SOUND_WAAAOOOW] = "rabbid_fall.ogg",
    [CHAR_SOUND_WAH2] = "rabbid_wah.ogg",
    [CHAR_SOUND_WHOA] = "rabbid_woah.ogg",
    [CHAR_SOUND_YAHOO] = "rabbid_yahoo.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"rabbid_hoo.ogg", "rabbid_yippee.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"rabbid_yah.ogg", "rabbid_wah.ogg", "rabbid_hoo.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "rabbid_okay.ogg",
    [CHAR_SOUND_LETS_A_GO] = "rabbid_lets_a_go.ogg",
    [CHAR_SOUND_DYING] = "rabbid_dead.ogg",
    [CHAR_SOUND_DROWNING] = "rabbid_drowning.ogg",
    [CHAR_SOUND_EEUH] = "rabbid_pickup.ogg",
    [CHAR_SOUND_MAMA_MIA] = "rabbid_ooh.ogg",
    [CHAR_SOUND_DOH] = "rabbid_oof.ogg",
    [CHAR_SOUND_HRMM] = "rabbid_pickup.ogg",
    [CHAR_SOUND_PANTING] = "rabbid_pant.ogg",
    [CHAR_SOUND_UH] = "rabbid_oof2.ogg",
    [CHAR_SOUND_UH2] = "rabbid_oof2.ogg",
    [CHAR_SOUND_UH2_2] = "rabbid_oof2.ogg"
}

local VOICETABLE_WOODY = {
    [CHAR_SOUND_ATTACKED] = 'WoodyAttacked.mp3',
    [CHAR_SOUND_COUGHING1] = 'WoodyCough.mp3',
    [CHAR_SOUND_COUGHING2] = 'WoodyCough2.mp3',
    [CHAR_SOUND_COUGHING3] = 'WoodyCough3.mp3',
    [CHAR_SOUND_DOH] = 'WoodyDoh.mp3',
    [CHAR_SOUND_DROWNING] = 'WoodyDrowning.mp3',
    [CHAR_SOUND_DYING] = 'WoodyDying.mp3',
    [CHAR_SOUND_EEUH] = 'WoodyEeuh.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'WoodyGroundPound.mp3',
    [CHAR_SOUND_HAHA] = 'WoodyHaha.mp3',
    [CHAR_SOUND_HAHA_2] = 'WoodyHaha2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'WoodyHereWeGo.mp3',
    [CHAR_SOUND_HOOHOO] = 'WoodyHooHoo.mp3',
    [CHAR_SOUND_HRMM] = 'WoodyHrmm.mp3',
    [CHAR_SOUND_LETS_A_GO] = 'WoodyLetsAGo.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'WoodyMamaMia.mp3',
    [CHAR_SOUND_ON_FIRE] = 'WoodyOnFire.mp3',
    [CHAR_SOUND_OOOF] = 'WoodyOof.mp3',
    [CHAR_SOUND_OOOF2] = 'WoodyOof2.mp3',
    [CHAR_SOUND_PANTING] = 'WoodyPanting.mp3',
    [CHAR_SOUND_PANTING_COLD] = 'WoodyPantingCold.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'WoodyPunchHoo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'WoodyPunchWah.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'WoodyPunchYah.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'WoodySoLongBowser.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'WoodyBoing.mp3',
    [CHAR_SOUND_UH] = 'WoodyUh.mp3',
    [CHAR_SOUND_UH2] = 'WoodyUh.mp3',
    [CHAR_SOUND_UH2_2] = 'WoodyUh2.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'WoodyWah1.mp3',
    [CHAR_SOUND_WAH2] = 'WoodyWah2.mp3',
    [CHAR_SOUND_WHOA] = 'WoodyWoah.mp3',
    [CHAR_SOUND_YAHOO] = 'WoodyYahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'WoodyYahoo.mp3', 'WoodyWaha.mp3', 'WoodyYippee.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'WoodyYah1.mp3', 'WoodyWah.mp3', 'WoodyHoo.mp3'},
}

local CSloaded = false
local function on_character_select_load()
    CT_WALLACE = _G.charSelect.character_add("Wallace", {"Master"}, "Hell Inspector", {r = 74, g = 100, b = 74}, E_MODEL_WALLACE_PLAYER, CT_MARIO, TEX_WALLACE)
_G.charSelect.character_add_voice(E_MODEL_WALLACE_PLAYER, VOICETABLE_WALLACE)
    CT_GROMIT = _G.charSelect.character_add("Gromit", {"Mind"}, "Hell Inspector", {r = 225, g = 209, b = 175}, E_MODEL_GROMIT_PLAYER, CT_MARIO, TEX_GROMIT)
_G.charSelect.character_add_voice(E_MODEL_GROMIT_PLAYER, VOICETABLE_GROMIT)
    CT_GINGER = _G.charSelect.character_add("Ginger", {"The Organizer"}, "Hell Inspector", {r = 213, g = 108, b = 49}, E_MODEL_GINGER_PLAYER, CT_MARIO, TEX_GINGER)
    CT_ROCKY = _G.charSelect.character_add("Rocky", {"The Lone Free Ranger"}, "Hell Inspector", { r = 180, g = 117, b = 93 }, E_MODEL_ROCKY_PLAYER, CT_MARIO, TEX_ROCKY)
_G.charSelect.character_add_voice(E_MODEL_ROCKY_PLAYER, VOICETABLE_ROCKY)
    CT_MRTWEEDY = _G.charSelect.character_add("Mr. Tweedy", {"I told you they was organized"}, "Hell Inspector", { r = 136, g = 138, b = 137 }, E_MODEL_MRTWEEDY_PLAYER, CT_MARIO, TEX_MRTWEEDY)
    CT_SPONGEBOB = _G.charSelect.character_add("SpongeBob", {"SpongeBob SquarePants"}, "Hell Inspector", { r = 228, g = 209, b = 65 }, E_MODEL_SPONGEBOB_PLAYER, CT_MARIO, TEX_SPONGEBOB)
    CT_PATRICK = _G.charSelect.character_add("Patrick", {"LEEDLE LEEDLE LEEDLE LEE"}, "Hell Inspector", { r = 247, g = 171, b = 173 }, E_MODEL_PATRICK_PLAYER, CT_MARIO, TEX_PATRICK)
    CT_SQUIDWARD = _G.charSelect.character_add("Squidward", {"I hate all of you"}, "Hell Inspector", { r = 213, g = 236, b = 249 }, E_MODEL_SQUIDWARD_PLAYER, CT_MARIO, TEX_SQUIDWARD)
    CT_MRKRABS = _G.charSelect.character_add("Mr. Krabs", {"Money, oh money, how I love thee!"}, "Hell Inspector", { r = 238, g = 78, b = 55 }, E_MODEL_MRKRABS_PLAYER, CT_MARIO, TEX_MRKRABS)
    CT_COURAGE = _G.charSelect.character_add("Courage", {"The things I do for love"}, "Hell Inspector", { r = 228, g = 176, b = 200 }, E_MODEL_COURAGE_PLAYER, CT_MARIO, TEX_COURAGE)
_G.charSelect.character_add_voice(E_MODEL_COURAGE_PLAYER, VOICETABLE_COURAGE)
    CT_EUSTACE = _G.charSelect.character_add("Eustace Bagge", {"STUPID DOG, YOU MADE ME LOOK BAD!"}, "Hell Inspector", { r = 130, g = 140, b = 62 }, E_MODEL_EUSTACE_PLAYER, CT_MARIO, TEX_EUSTACE)
_G.charSelect.character_add_voice(E_MODEL_EUSTACE_PLAYER, VOICETABLE_EUSTACE)
    CT_HOMER = _G.charSelect.character_add("Homer Simpson", {"Homer Dohs axel f."}, "Hell Inspector", { r = 244, g = 204, b = 20 }, E_MODEL_HOMER_PLAYER, CT_MARIO, TEX_HOMER)
_G.charSelect.character_add_voice(E_MODEL_HOMER_PLAYER, VOICETABLE_HOMER)
    CT_SKINNER = _G.charSelect.character_add("Skinner", {"Steamed Hams"}, "Hell Inspector", { r = 30, g = 87, b = 98 }, E_MODEL_SKINNER_PLAYER, CT_MARIO, TEX_SKINNER)
    CT_CHALMERS = _G.charSelect.character_add("Chalmers", {"AURORA BOREALIS"}, "Hell Inspector", { r = 74, g = 130, b = 188 }, E_MODEL_CHALMERS_PLAYER, CT_MARIO, TEX_CHALMERS)
    CT_HANKHILL = _G.charSelect.character_add("Hank Hill", {"I sell propane and propane accessories"}, "Hell Inspector", { r = 94, g = 119, b = 161 }, E_MODEL_HANKHILL_PLAYER, CT_MARIO, TEX_HANKHILL)
    CT_HUGH = _G.charSelect.character_add("Hugh Neutron", {"DONUT BOY"}, "Hell Inspector", { r = 74, g = 146, b = 165 }, E_MODEL_HUGH_PLAYER, CT_MARIO, TEX_HUGH)
_G.charSelect.character_add_voice(E_MODEL_HUGH_PLAYER, VOICETABLE_HUGH)
    CT_RABBID = _G.charSelect.character_add("Rabbid", {"BWAHHHH"}, "Hell Inspector (voicelines by Contendo and Murioz)", { r = 254, g = 248, b = 244 }, E_MODEL_RABBID_PLAYER, CT_MARIO, TEX_RABBID)
_G.charSelect.character_add_voice(E_MODEL_RABBID_PLAYER, VOICETABLE_RABBID)
    CT_WOODY = _G.charSelect.character_add("Woody", {"Friend Inside Me"}, "Hell Inspector", { r = 162, g = 60, b = 11 }, E_MODEL_WOODY_PLAYER, CT_MARIO, TEX_WOODY)
_G.charSelect.character_add_voice(E_MODEL_WOODY_PLAYER, VOICETABLE_WOODY)
    CSloaded = true
end

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_WALLACE then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GROMIT then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ROCKY then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_COURAGE then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_EUSTACE then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HOMER then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HUGH then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_RABBID then return _G.charSelect.voice.sound(m, sound) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_WOODY then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_WALLACE then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GROMIT then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ROCKY then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_COURAGE then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_EUSTACE then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HOMER then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_HUGH then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_RABBID then return _G.charSelect.voice.snore(m) end
        if _G.charSelect.character_get_voice(m) == VOICETABLE_WOODY then return _G.charSelect.voice.snore(m) end
    end)

hook_event(HOOK_ON_MODS_LOADED, on_character_select_load)